統合の取得
get
/ic/api/integration/v1/integrations/{id}
指定したIDとの統合に関する詳細情報を取得します。
リクエスト
パス・パラメータ
- id(required): string
統合コンポジット識別子 IDは|(縦線)文字で区切られたコードおよびバージョンで構成されます。 フォーマット: code%7Cversion. 例: SC2RN%7C01.00.0000。 cURLを使用する場合には、縦線のかわりに%7Cを使用します。
問合せパラメータ
- expand: string
統合の接続に関するレスポンスまたは接続のアダプタに関するその他の詳細を含みます。 有効な値: 接続、connection.adapter。
- integrationInstance(required): string
これはサービス・インスタンスの名前です。 この値は、サービス・インスタンス・フィールドで指定した情報ページから取得できます。
この操作のリクエスト本文がありません。
トップに戻るレスポンス
サポートされているメディア・タイプ
- application/json; charset=utf-8, application/vnd.oracle.resource+json;type=singular
200レスポンス
操作の成功
ルート・スキーマ : IntegrationListRs
型:
ソースを表示
object-
activation-status: string
-
barta-built-by: string
BA (Business Accelerator) | R (レシピ) | TA (Technical Accelerator) builtBy
-
compatible: boolean
互換型
-
created: string (date-time)
作成日
-
created-by: string
作成者
-
dependencies: object IntegrationDependencyRs
-
description: string
統合摘要
-
doc-url: string
ドキュメントのURL
-
end-point-uri: string
統合エンドポイントURI
-
end-points: array end-points
エンドポイント
-
filmstrip: array filmstrip
フィルムストリップ
-
is-clone-allowed: boolean
クローンの許可を確認するフラグ
-
is-view-allowed: boolean
表示可能かどうかをチェックするフラグ
-
keywords: string
キーワード
-
last-updated: string (date-time)
最終更新日
-
last-updated-by: string
最終更新者
-
locked-by: string
ロック者
-
locked-date: string (date-time)
ロック日
-
locked-flag: boolean
ロック・フラグ
-
mep-type: string
MEPタイプ
-
original-integration-code: string
元の統合コード
-
package-name: string
パッケージ名
-
pattern: string
パターン
-
pattern-description: string
パターン摘要
-
payload-tracing-enabled-flag: boolean
ペイロード・トレース使用可能フラグ
-
percentage-complete: number
完了したパーセンテージ
-
project-id: string
-
project-type: string
プロジェクト・タイプ
-
properties: array properties
統合プロパティ・リスト
-
proxy-wsdl: string
プロキシWSDL
-
reactivation-status: string
再アクティブ化ステータス
-
record-enabled-flag: boolean
レコード使用可能フラグ
-
schedule-applicable-flag: boolean
スケジュール適用可能フラグ
-
schedule-defined-flag: boolean
スケジュール定義済フラグ
-
scope: string
-
smart-tags: string
スマート・タグ
-
style: string
スタイル
-
style-description: string
形式摘要
-
temp-copy-exists: boolean
一時コピー存在フラグ
-
total-end-points: integer (int32)
-
tracing-enabled-flag: boolean
トレース可能フラグ
-
tracking-variables: array tracking-variables
トラッキング変数リスト
404レスポンス
統合が見つかりません
412レスポンス
事前条件は失敗しました
500レスポンス
サーバー・エラー
例
次の例では、cURLを使用してRESTリソースに対するGETリクエストを発行し、統合の詳細を取得する方法を示しています。 cURLの詳細は、「cURLの使用」を参照してください。 エンドポイントURLの構造の詳細は、「リクエストの送信」を参照してください。
例: 統合HELLO_WORLD | 01.02.0000の詳細を取得
Idは書式: code%7Cversionです。 |はエンコードされた| (垂直線)です。
curl -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/integrations/HELLO_WORLD%7C01.02.0000?integrationInstance=service-instance例: 統合HELLO_WORLD | 01.02.0000の詳細を、接続に関する追加の詳細とともに取得
Idは書式: code%7Cversionです。 |はエンコードされた| (垂直線)です。
curl -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" -d "expand=connection" https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/integrations/HELLO_WORLD%7C01.02.0000?integrationInstance=service-instance
レスポンス本文:
JSON形式のレスポンス本文のコンテンツの例を次に示します。
{
"apipId": "",
"code": "HELLO_WORLD",
"compatible": true,
"created": "2022-08-08T09:31:30.469+0000",
"createdBy": "exampleuser1@example.com",
"dependencies": {
"certificates": [
],
"connections": [
{
"id": "MY_REST_ENDPOINT_INTERFAC",
"lockedFlag": false,
"name": "Sample REST Endpoint Interface",
"role": "SOURCE",
"status": "CONFIGURED",
"type": "rest",
"usage": 23
}
],
"libraries": [
],
"lookups": [
]
},
"description": "Example describing simple log and notification actions. Call the
endpoint as,
https://<host>:port>/ic/api/integration/v1/flows/rest/HELLO_WORLD/1.0/names/{name} OR
https://<host>:<port>/ic/api/integration/v1/flows/rest/HELLO_WORLD/1.0/names/{name}?email={email.address}",
"endPoints": [
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "MY_REST_ENDPOINT_INTERFAC",
"links": [
{
"href": "https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/connections/MY_REST_ENDPOINT_INTERFAC?integrationInstance=ins01-automation-l1-dt-dev-oicdevqa-px-pp",
"rel": "self"
},
{
"href": "https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/connections/MY_REST_ENDPOINT_INTERFAC?integrationInstance=ins01-automation-l1-dt-dev-oicdevqa-px-pp",
"rel": "canonical"
}
],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "helloWorld",
"role": "SOURCE"
}
],
"id": "HELLO_WORLD|01.02.0000",
"isCloneAllowed": false,
"isViewAllowed": false,
"keywords": "",
"lastUpdated": "2022-08-08T09:31:30.971+0000",
"lastUpdatedBy": "exampleuser1@example.com",
"links": [
{
"href": "https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/integrations/HELLO_WORLD%7C01.02.0000?integrationInstance=ins01-automation-l1-dt-dev-oicdevqa-px-pp",
"rel": "self"
},
{
"href": "https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/integrations/HELLO_WORLD%7C01.02.0000?integrationInstance=ins01-automation-l1-dt-dev-oicdevqa-px-pp",
"rel": "canonical"
}
],
"lockedFlag": false,
"name": "Hello World",
"packageName": "samples.oracle.helloworld",
"pattern": "Orchestration",
"patternDescription": "Map Data",
"payloadTracingEnabledFlag": false,
"percentageComplete": 100,
"projectType": "DEVELOPED",
"recordEnabledFlag": false,
"scheduleApplicableFlag": false,
"scheduleDefinedFlag": false,
"smartTags": "app:rest,style:app driven orchestration",
"status": "CONFIGURED",
"style": "FREEFORM",
"styleDescription": "Orchestration",
"tempCopyExists": false,
"totalEndPoints": 0,
"tracingEnabledFlag": false,
"trackingInstanceName": "name",
"trackingVariables": [
{
"role": "tracking_var_1",
"primary": true,
"name": "name",
"xpath": "/execute/TemplateParameters/name",
"messageContextRef": {
"property": [
],
"refUri": "messagecontext_15"
},
"property": [
],
"output": {
"messageContextRef": {
"property": [
],
"refUri": "messagecontext_1050"
},
"name": "output_1051"
}
},
{
"role": "tracking_var_2",
"primary": false,
"name": "tracking_var_2",
"xpath": "",
"messageContextRef": {
"property": [
],
"refUri": "messagecontext_15"
},
"property": [
],
"output": {
"messageContextRef": {
"property": [
],
"refUri": "messagecontext_1052"
},
"name": "output_1053"
}
},
{
"role": "tracking_var_3",
"primary": false,
"name": "tracking_var_3",
"xpath": "",
"messageContextRef": {
"property": [
],
"refUri": "messagecontext_15"
},
"property": [
],
"output": {
"messageContextRef": {
"property": [
],
"refUri": "messagecontext_1054"
},
"name": "output_1055"
}
}
],
"version": "01.02.0000"}